This article was created in response to a support issue logged with K2. The content may include typographical errors and may be revised at any time without notice This article is not considered official documentation for K2 software and is provided “as is” with no warranties.

Issue

Is K2 Five for SharePoint compatible with K2 4.7 BlackPearl?

Symptoms

Upgrading your K2 for SharePoint version 4.7 App to the K2 Five for SharePoint app will not be successful as the whole product needs to be upgraded to the K2 Five version first.

Resolution

Upgrading your K2 for SharePoint version 4.7 App to the K2 Five for SharePoint app will not be successful as the whole product needs to be upgraded to the K2 Five version first. Thereafter the K2 for SharePoint app needs to be upgraded. K2 Five for SharePoint is unfortunately not backwards compatible with pre K2 Five versions.

Please see the Installation guide on how to upgrade the K2 for SharePoint app to the K2 Five for SharePoint app:

https://help.k2.com/kb002045 Notes

The K2 Five Setup Manager guides you through the upgrade configuration. After the K2 Five Setup Manager completes, you have the option to automatically run AppDeployment.exe to add the new version of the K2 for SharePoint app to your app catalogs. The K2 Five for SharePoint App Deployment Wizard will start if you checked the box.

  1. If you are using K2 for SharePoint on a different machine, you must run the Setup Manager on that machine too.
  2. You must have K2 4.7 installed before you can upgrade to K2 Five. If you are on a version prior to K2 4.7, you must upgrade to K2 4.7 first and thereafter you would be able to upgrade to K2 Five. 
  3. If you have been part of the K2 Five RC program you can upgrade your K2 Five RC environment to K2 Five RTM.